

# GetProfile

Gets a profile.

 **Required permissions: ** `rolesanywhere:GetProfile`. 

## Request Syntax
<a name="API_GetProfile_RequestSyntax"></a>

```
GET /profile/{{profileId}} HTTP/1.1
```

## URI Request Parameters
<a name="API_GetProfile_RequestParameters"></a>

The request uses the following URI parameters.

 ** [profileId](#API_GetProfile_RequestSyntax) **   <a name="rolesanywhere-GetProfile-request-uri-profileId"></a>
The profile to act on. You can specify one of the following:  
+ The profile ID.
+ The profile ARN.
+ The alias ARN of the profile.
An ARN must be for a profile in your account and Region.  
Length Constraints: Minimum length of 1. Maximum length of 1011.  
Pattern: `([a-f0-9]{8}-([a-z0-9]{4}-){3}[a-z0-9]{12}|arn:aws(-[^:]+)?:rolesanywhere(:.*){2}:(profile|alias/profile)/.*)`   
Required: Yes

## Request Body
<a name="API_GetProfile_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_GetProfile_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "profile": { 
      "acceptRoleSessionName": boolean,
      "aliasArn": "string",
      "aliasName": "string",
      "attributeMappings": [ 
         { 
            "certificateField": "string",
            "mappingRules": [ 
               { 
                  "specifier": "string"
               }
            ]
         }
      ],
      "createdAt": "string",
      "createdBy": "string",
      "durationSeconds": number,
      "enabled": boolean,
      "managedPolicyArns": [ "string" ],
      "name": "string",
      "previousAliasName": "string",
      "profileArn": "string",
      "profileId": "string",
      "requireInstanceProperties": boolean,
      "roleArns": [ "string" ],
      "sessionPolicy": "string",
      "tipConfiguration": { 
         "status": "string",
         "subjectSource": "string",
         "subjectType": "string"
      },
      "updatedAt": "string"
   }
}
```

## Response Elements
<a name="API_GetProfile_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [profile](#API_GetProfile_ResponseSyntax) **   <a name="rolesanywhere-GetProfile-response-profile"></a>
The state of the profile after a read or write operation.  
Type: [ProfileDetail](API_ProfileDetail.md) object

## Errors
<a name="API_GetProfile_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** ResourceNotFoundException **   
The resource could not be found.  
HTTP Status Code: 404

 ** ServiceUnavailableException **   
The request has failed due to a temporary failure of the service.    
 ** message **   
The exception message.  
 ** retryAfterSeconds **   
The recommended number of seconds after which the client should retry the request.
HTTP Status Code: 503

## See Also
<a name="API_GetProfile_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/rolesanywhere-2018-05-10/GetProfile) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/rolesanywhere-2018-05-10/GetProfile) 
+  [AWS SDK for C\+\+](https://docs.aws.amazon.com/goto/SdkForCpp/rolesanywhere-2018-05-10/GetProfile) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/rolesanywhere-2018-05-10/GetProfile) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/rolesanywhere-2018-05-10/GetProfile) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/rolesanywhere-2018-05-10/GetProfile) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/rolesanywhere-2018-05-10/GetProfile) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/rolesanywhere-2018-05-10/GetProfile) 
+  [AWS SDK for Python (Boto3)](https://docs.aws.amazon.com/goto/boto3/rolesanywhere-2018-05-10/GetProfile) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/rolesanywhere-2018-05-10/GetProfile) 